Liên kết
GET https://addme.vn/api/links/
curl --request GET \
--url 'https://addme.vn/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Thông số | Details | Description |
|---|---|---|
| search | Optional Chuỗi | Chuỗi tìm kiếm. |
| search_by | Optional Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị được phép là: url , location_url. |
| is_enabled | Optional Boolean | |
| project_id | Optional Số nguyên | |
| domain_id | Optional Số nguyên | |
| type | Optional Chuỗi |
biolink , link , vcard , event , static |
| order_by | Optional Chuỗi | Sắp xếp kết quả theo trường nào. Các giá trị được phép là: link_id , datetime , last_datetime , clicks , url. |
| order_type | Optional Chuỗi | Thứ tự của kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần và DESC cho thứ tự giảm dần. |
| page | Optional Số nguyên | Số trang mà bạn muốn lấy kết quả. Mặc định là 1. |
| results_per_page | Optional Số nguyên | Bạn muốn có bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-03-23 11:55:12",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://addme.vn/api/links?page=1",
"last": "https://addme.vn/api/links?page=1",
"next": null,
"prev": null,
"self": "https://addme.vn/api/links?page=1"
}
}
GET https://addme.vn/api/links/{link_id}
curl --request GET \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-03-23 11:55:12",
}
}
POST https://addme.vn/api/links
| Thông số | Details | Description |
|---|---|---|
| type | Optional Chuỗi | link |
| location_url | Bắt buộc Chuỗi | URL của đích.Available when: is_bulk = 0 |
| location_urls | Bắt buộc Chuỗi | URL của đích.Available when: is_bulk = 1 |
| url | Optional Chuỗi | Đường dẫn ngắn của liên kết sẽ được tạo. Để trống nếu muốn hệ thống tạo ngẫu nhiên cho bạn.Available when: is_bulk = 0 |
| is_bulk | Optional Boolean | |
| domain_id | Optional Số nguyên | - |
| project_id | Optional Số nguyên | - |
| pixels_ids | Optional Mảng Số nguyên | - |
| email_reports | Optional Mảng | Notification handler ids |
| schedule | Optional Boolean | - |
| start_date | Optional Chuỗi | Available when: schedule = true |
| end_date | Optional Chuỗi | Available when: schedule = true |
| clicks_limit | Optional Số nguyên | - |
| expiration_url | Optional Chuỗi | - |
| sensitive_content | Optional Boolean | - |
| http_status_code | Optional Số nguyên | Giá trị được phép: 301, 302, 307, 308 |
| app_linking_is_enabled | Optional Boolean | - |
| cloaking_is_enabled | Optional Boolean | - |
| cloaking_title | Optional Chuỗi | - |
| cloaking_meta_description | Optional Chuỗi | - |
| cloaking_custom_js | Optional Chuỗi | - |
| cloaking_favicon | Optional Tệp | - |
| cloaking_opengraph | Optional Tệp | - |
| password | Optional Chuỗi | - |
| forward_query_parameters_is_enabled | Optional Boolean | - |
| utm_source | Optional Chuỗi | - |
| utm_medium | Optional Chuỗi | - |
| utm_campaign | Optional Chuỗi | - |
| targeting_type | Optional Chuỗi | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Optional Chuỗi | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optional Chuỗi | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Optional Chuỗi | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Optional Chuỗi | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Optional Chuỗi | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Optional Chuỗi | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Optional Chuỗi | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Optional Chuỗi | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Optional Chuỗi | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optional Chuỗi | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Optional Chuỗi | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Optional Chuỗi | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Optional Chuỗi | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Optional Chuỗi | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Optional Chuỗi | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optional Chuỗi | Available when: targeting_type = browser_name |
curl --request POST \
--url 'https://addme.vn/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://addme.vn/' \
--url 'https://addme.vn/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://addme.vn/' \
{
"data": {
"id": 1
}
}
POST https://addme.vn/api/links/{link_id}
| Thông số | Details | Description |
|---|---|---|
| location_url | Optional Chuỗi | URL của đích. |
| url | Optional Chuỗi | Đường dẫn ngắn của liên kết sẽ được tạo. Để trống nếu muốn hệ thống tạo ngẫu nhiên cho bạn. |
| domain_id | Optional Số nguyên | - |
| project_id | Optional Số nguyên | - |
| pixels_ids | Optional Mảng Số nguyên | - |
| email_reports | Optional Mảng | Notification handler ids |
| schedule | Optional Boolean | - |
| start_date | Optional Chuỗi | Available when: schedule = true |
| end_date | Optional Chuỗi | Available when: schedule = true |
| clicks_limit | Optional Số nguyên | - |
| expiration_url | Optional Chuỗi | - |
| sensitive_content | Optional Boolean | - |
| http_status_code | Optional Số nguyên | Giá trị được phép: 301, 302, 307, 308 |
| app_linking_is_enabled | Optional Boolean | - |
| cloaking_is_enabled | Optional Boolean | - |
| cloaking_title | Optional Chuỗi | - |
| cloaking_meta_description | Optional Chuỗi | - |
| cloaking_custom_js | Optional Chuỗi | - |
| cloaking_favicon | Optional Tệp | - |
| cloaking_opengraph | Optional Tệp | - |
| password | Optional Chuỗi | - |
| forward_query_parameters_is_enabled | Optional Boolean | - |
| utm_source | Optional Chuỗi | - |
| utm_medium | Optional Chuỗi | - |
| utm_campaign | Optional Chuỗi | - |
| targeting_type | Optional Chuỗi | continent_code , country_code , device_type , browser_language , rotation , os_name , browser_name |
| targeting_continent_code_key[index] | Optional Chuỗi | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Optional Chuỗi | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Optional Chuỗi | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Optional Chuỗi | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Optional Chuỗi | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Optional Chuỗi | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Optional Chuỗi | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Optional Chuỗi | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Optional Chuỗi | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Optional Chuỗi | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Optional Chuỗi | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Optional Chuỗi | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Optional Chuỗi | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Optional Chuỗi | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Optional Chuỗi | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Optional Chuỗi | Available when: targeting_type = browser_name |
curl --request POST \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://addme.vn/api/links/{link_id}
curl --request DELETE \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://addme.vn/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \